### Method

# ECal ComponentAlarm take_summary

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_take_summary (
      ECalComponentAlarm* alarm,
      ECalComponentText* summary
    )

#### Description [src]

Set the `alarm` summary, as an `ECalComponentText`, and assumes ownership of the `summary`.

Available since: 3.34

This method is not directly available to language bindings.

#### Parameters

`summary`

  Type: `ECalComponentText`

  A summary to set, or `NULL` to unset.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.